Query Links on Issues and Time Logs Import Sidebars broken
Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 5.0.0

Resolution: Fixed Affected version: 423
Description

The import pages for issues and time logs have sidebars with links to saved issue queries and time log queries. These links are
currently broken and just render as the_current_page?query_id=3, for example http://localhost:3000/issues/imports/new?query_id=7

Related issues:
Related to Redmine - Feature #33102: Import user accounts from CSV file Closed

Associated revisions

Revision 21390 - 2022-01-30 10:24 - Marius BALTEANU

Remove sidebar with invalid query links from imports views (#36524).

Patch by Felix Schéfer.

Revision 21391 - 2022-01-30 10:27 - Marius BALTEANU
Remove sidebar views (#36524).

Patch by Felix Schéfer.

History

#1 - 2022-01-25 20:27 - Felix Schéfer

We have tracked down the issue to source:/trunk/app/helpers/queries_helper.rb@21387#1 457, which is not aware of the issues and time logs
imports, and thus can't correctly generate the query links.

Instead of trying to fix this we would like to suggest simply removing the sidebars entirely for the imports. While doing the import the query links are
not of a great use because clicking on one of those links would interrupt the import steps. Furthermore, the user import for example does not have a
sidebar, i.e. removing the sidebar in the other cases would be consistent. Last but not least, the new issue view for example does not have a sidebar
either, probably because having links to the queries while creating something is not very helpful.

Do you think just removing the sidebar from the CSV import would be a good option here? If yes we can prepare a patch accordingly.

#2 - 2022-01-25 20:30 - Holger Just

- Description updated

#3 - 2022-01-25 20:38 - Felix Schafer
- File 36524-remove_import_sidebars.patch added

The attached patch removes the aforementioned sidebars.

#4 - 2022-01-30 10:27 - Marius BALTEANU
- Status changed from New to Resolved

- Assignee set to Marius BALTEANU

- Target version set to 5.0.0

- Resolution set to Fixed
Patch committed, thanks!

#5 - 2022-01-30 11:25 - Marius BALTEANU
https://www.redmine.org/projects/redmine/repository/svn/revisions/21387/entry/trunk/app/helpers/queries_helper.rb#L457

- Status changed from Resolved to Closed

#6 - 2022-01-30 12:16 - Felix Schéfer
Thank you!

#7 - 2023-11-08 06:57 - Mischa The Evil
- Related to Feature #33102: Import user accounts from CSV file added

Files

36524-remove_import_sidebars.patch 2.63 KB
